- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
KEYTypes.cpp File Reference
`#include <cstring>`
`#include <boost/optional.hpp>`
`#include <librevenge/librevenge.h>`
`#include "libetonyek_utils.h"`
`#include "KEYOutput.h"`
`#include "KEYStyles.h"`
`#include "KEYText.h"`
`#include "KEYTypes.h"`

## Namespaces
| libetonyek

## Functions
KEYObjectPtr_t | libetonyek::makeObject (const KEYGroupPtr_t &group)
KEYObjectPtr_t | libetonyek::makeObject (const KEYImagePtr_t &image)
KEYObjectPtr_t | libetonyek::makeObject (const KEYLinePtr_t &line)
KEYObjectPtr_t | libetonyek::makeObject (const KEYMediaPtr_t &media)
KEYObjectPtr_t | libetonyek::makeObject (const KEYPlaceholderPtr_t &body)

## Variable Documentation

const KEYPlaceholderPtr_t m_body

const KEYGroupPtr_t m_group

const KEYImagePtr_t m_image

const KEYLinePtr_t m_line

const KEYMediaPtr_t m_media